{% extends "base_fullwidth.html" %} {% block title %}Zone {{object.name}}
({{object.area_type.name}}){% endblock %} {% block content %}

<div id="AreaSynthesis">
    <div class="row">
        <div class="col col-xl-10 col-lg-8 col-md-6 col-sm-12">
            <h1>
                <i class="{{ icon|safe }}"></i>
                <code>[[data.area_type.name]]</code>&nbsp;: [[data.name]]
            </h1>
        </div>
        <div class="col col-xl-2 col-lg-4 col-md-6 col-sm-12" style="margin-top: 15px;">
          <div class="form-inline">
            <div class="form-group">
              <label class="control-label" for="Area">Zonage</label>

              <dict-select :options="dicts.AreaType" v-model="area_type" placeholder="Type de zonage"/>
            </div>
            <div class="form-group">
              <area-select id="Area" class="form-control" v-model="id" :areatype="area_type"/>
            </div>
            <p class="help-block">limites administratives, espaces naturels, etc.</p>
          </div>
        </div>
    </div class="row">
    <div class="row" style="text-align: center; font-size: 2rem">
        <div>
            <div class="col-xs-12 col-sm-6 col-md-4 col-lg-2">
                <div class="statBlock">
                    <i class="text-muted fas fa-map-marked-alt fa-2x"></i><br />
                    <span class="statCount"
                        ><a
                            :href="`/place/search?area=${data.pk}`"
                            target="_blank"
                            title="Voir les localités de ce zonage"
                            >[[ data.count_places ]]</a
                        ></span
                    ><br />
                    <span class="statDesc text-muted"> localités</span><br />
                </div>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-4 col-lg-2">
                <div class="statBlock">
                    <i class="text-muted fas fa-calendar-check fa-2x"></i><br />
                    <span class="statCount">[[ data.count_sessions ]]</span
                    ><br />
                    <span class="statDesc text-muted"> sessions</span><br />
                </div>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-4 col-lg-2">
                <div class="statBlock">
                    <i class="text-muted fas fa-eye fa-2x"></i><br />
                    <span class="statCount"
                        ><a
                            :href="`/sighting/search?area=${data.pk}`"
                            target="_blank"
                            title="Voir les observations de ce zonage"
                            >[[ data.count_obs ]]</a
                        ></span
                    ><br />
                    <span class="statDesc text-muted"> observations</span><br />
                </div>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-4 col-lg-2">
                <div class="statBlock">
                    <i class="text-muted fas fa-eye fa-2x"></i><br />
                    <span class="statCount">[[ data.count_taxa ]]</span><br />
                    <span class="statDesc text-muted"> espèces vraies</span
                    ><br />
                </div>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-4 col-lg-2">
                <div class="statBlock">
                    <i class="text-muted fas fa-users fa-2x"></i><br />
                    <span class="statCount">[[ data.count_observers ]]</span
                    ><br />
                    <span class="statDesc text-muted"> observateurs</span><br />
                </div>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-4 col-lg-2">
                <div class="statBlock">
                    <i class="text-muted fas fa-eye fa-2x"></i><br />
                    <span class="statCount">[[ data.count_studies ]]</span
                    ><br />
                    <span class="statDesc text-muted">études</span><br />
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12 col-lg-6">
            <div class="panel">
                <div class="panel-body">
                    <h3>[[ data.taxa.length ]] taxons</h3>

                    <p v-for="(t,i) in data.taxa">
                        <span
                            class="label"
                            :class="[ t.sp_true ? 'label-success':'label-default']"
                            >[[i+1]]</span
                        >
                        <a
                            :href="`/sighting/search?area=${data.pk}&specie=${t.pk}`"
                            target="_blank"
                        >
                            <code>[[ t.codesp ]]</code> [[ t.common_name_fr ]]
                            (<i>[[ t.sci_name ]]</i>)
                        </a>
                    </p>
                </div>
            </div>
        </div>
        <div class="col-md-12 col-lg-6">
            <div class="panel">
                <div class="panel-body">
                    <h3>[[data.studies.length]] études</h3>

                    <p v-for="(s,i) in data.studies">
                        <a :href="`/study/${s.pk}/detail`" target="_blank"
                            ><code>[[s.year]]</code> [[s.name]]</a
                        >
                    </p>
                </div>
            </div>
        </div>
        <div class="col-md-12 col-lg-6">
            <div class="panel">
                <div class="panel-body">
                    <h3>
                        [[data.surrounding_areas.length]] Autres zones proches
                    </h3>

                    <p v-for="(a,i) in data.surrounding_areas">
                        <a :href="`/synthesis/area/${a.pk}`" target="_blank"
                            ><code>[[a.area_type.name]]</code> [[a.name]]
                            ([[a.code]])</a
                        >
                    </p>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    const dataUrl = "{% url 'synthesis:area_synthesis_api' pk=object.pk %}"

    $(document).ready(() => {
        const vm = new Vue(AreaSynthesis(dataUrl))
    })
</script>
{% endblock %}
